/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { Base, String_$type, markType } from "./type";
import { Dictionary$2 } from "./Dictionary$2";
import { ToolActionDescriptionMetadata } from "./ToolActionDescriptionMetadata";
import { ToolActionFieldSelectorDescription } from "./ToolActionFieldSelectorDescription";
/**
 * @hidden
 */
export let ToolActionFieldSelectorDescriptionMetadata = /*@__PURE__*/ (() => {
    class ToolActionFieldSelectorDescriptionMetadata extends Base {
        static b(a) {
            if (ToolActionFieldSelectorDescriptionMetadata.a == null) {
                ToolActionFieldSelectorDescriptionMetadata.a = new Dictionary$2(String_$type, String_$type, 0);
                ToolActionFieldSelectorDescriptionMetadata.c(ToolActionFieldSelectorDescriptionMetadata.a);
            }
            if (a.k(ToolActionFieldSelectorDescriptionMetadata.a)) {
                return;
            }
            a.ac(ToolActionFieldSelectorDescriptionMetadata.a);
        }
        static c(a) {
            ToolActionDescriptionMetadata.c(a);
            a.item("DataSourceRef", "(w:DataSource,wf:DataSource)DataRef::object");
            a.item("LegendTargetRef", "(w:LegendTarget,wf:LegendTarget)DataRef::object");
            a.item("FieldType", "ExportedType:string:ToolActionFieldSelectorType");
            a.item("FieldType@names", "Label;Value");
            a.item("SingleSelection", "Boolean");
            a.item("Aggregations", "Collection:ToolActionFieldSelectorAggregation:ToolActionFieldSelectorAggregationsCollection:ToolActionFieldSelectorAggregation");
            a.item("UpdateDataSource", "Boolean");
            a.item("SelectedAggregations", "Collection:ToolActionFieldSelectorSelectedAggregation:ToolActionFieldSelectorSelectedAggregationsCollection:ToolActionFieldSelectorSelectedAggregation");
            a.item("PaddingLeft", "Number:double");
            a.item("ActualPaddingLeft", "Number:double");
            a.item("PaddingRight", "Number:double");
            a.item("ActualPaddingRight", "Number:double");
            a.item("PaddingBottom", "Number:double");
            a.item("ActualPaddingBottom", "Number:double");
            a.item("PaddingTop", "Number:double");
            a.item("ActualPaddingTop", "Number:double");
        }
        static d(a) {
            ToolActionFieldSelectorDescriptionMetadata.b(a);
            a.ae("ToolActionFieldSelector", () => new ToolActionFieldSelectorDescription());
            a.ad("ToolActionFieldSelector", ToolActionFieldSelectorDescriptionMetadata.a);
        }
    }
    ToolActionFieldSelectorDescriptionMetadata.$t = /*@__PURE__*/ markType(ToolActionFieldSelectorDescriptionMetadata, 'ToolActionFieldSelectorDescriptionMetadata');
    ToolActionFieldSelectorDescriptionMetadata.a = null;
    return ToolActionFieldSelectorDescriptionMetadata;
})();
